> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete VPN Profile

> Soft delete a VPN profile.

You can delete only VPN profiles you have created.



## OpenAPI

````yaml delete /api/v1/vpn/{id}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/vpn/{id}:
    delete:
      tags:
        - vpn
      description: |-
        Soft delete a VPN profile.

        You can delete only VPN profiles you have created.
      operationId: vpn_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                        description: Unique identifier for the VPN profile.
                        examples:
                          - 11
                          - 22
                          - 33
                      organization:
                        type: object
                        properties:
                          id:
                            type: number
                            examples:
                              - 5
                              - 10
                              - 15
                            description: Unique identifier for the Organization.
                          name:
                            type: string
                            examples:
                              - Sample Organization
                              - My Organization
                            description: Organization common name.
                          logo:
                            type: string
                            format: uri
                            examples:
                              - https://sample.com/logo.svg
                              - https://my.organization.com/logo.png
                            description: Organization logo URL.
                      created_at:
                        type: string
                        format: date-time
                        description: Date and time of creation of the VPN profile.
                      user_id:
                        type: string
                        format: uuid
                        description: Unique identifier for the user.
                      email:
                        type: string
                        format: email
                        description: Email address of the user.
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````